## Using rmvnorm()

library(mvtnorm)
set.seed(12345)

N <- 100
mu <- c(50, 52, 50, 48)
sigma <- matrix(c(5, 2, 2, 1,
                  2, 4, 2, 2,
                  2, 2, 4, 3,
                  1, 2, 3, 5), nrow = 4)

d <- rmvnorm(N, mu, sigma)

cov(d)