## ANOVA in one line of code
set.seed(12345)
Data <- data.frame(vp = 1:20,
                   UV = factor(rep(c("a", "b"),
                                   times = 1,
                                   each = 10)),
                   y = c(rnorm(10,10,2),
                         rnorm(10,12,2)))

summary(aov(y ~ UV, data = Data))