## Warm up with the R-Console
# Basic operations
2 + 3
5 - 8
3 * 4
12 / 4
10 / 3
5^2
2^10
25^(1/2)
125^(1/3)
sqrt(36)
sqrt(4)
# Vectors
c(1,2,3) + 5
c(1,2,3) + c(4,5,6)
c(1,2,3) + c(4,5) # Error
c(1,2,3) * 3
c(10,20,25) / 5
x <- c(1,2,3)
x
x + 4
x
x * 3
y <- 2*x + 4
# Statistics with vectors
mean(x)
mean(y)
Means <- c(X = mean(x), Y = mean(y))
Means
sd(x)
sd(y) 
y - mean(y)
(y - mean(y))^2
sum((y - mean(y))^2)
sum((y - mean(y))^2) / length(y)
sd(y)^2 * 2/3
# Statistics with data sets
X <- factor(rep(1:3, each=4))
X
Y <- c(rnorm(n = 4, mean = 10, sd = 2), rnorm(4,11,2), rnorm(4,10.5,2))
Y
d <- data.frame(X,Y)
d
str(d)
View(d)
tapply(d$Y, d$X, mean)
summary(d)
ANOVA <- aov(Y ~ X, d)
summary(ANOVA)
ls()