## Access to variables in a data.frame

# Available variables in data frame
names(d)

# Access to single variables
d$t0_ANX_1
d["t0_ANX_1"]

# Direct access with attach()
t0_ANX_1 ## Error
attach(d)
t0_ANX_1
detach(d)
t0_ANX_1 ## Error

# Access to multiple variable with paste() and grep()
d[paste("t0_ANX", 1:2, sep="_")]
d[grep(pattern = "DEP", names(d))]