## Factor variables 1  Initialise a factor and set a reference category

# Create data frame
d <- data.frame(Animal = factor(rep(c("Shark","Rabbit","Crocodile","Fly"), each = 10)),
                Threat = rnorm(40, rep(c(8, 2, 7, 1), each = 10)))

# Enquire factor information
d$Animal
is.ordered(d$Animal)
contrasts(d$Animal)

# Set a reference category
d$Animal <- relevel(d$Animal, "Fly")
d$Animal
contrasts(d$Animal)
