## Data creation

if(!exists("d"))
{
  set.seed(12345)
  temp <- sample(1:6, 300, replace = TRUE)
  d <- data.frame(A = gl(3, 100, labels = c("a1", "a2", "a3")),
                  B = gl(2, 50, 300, labels = c("b1", "b2")),
                  X = temp,
                  Y = 10 + temp + round(rnorm(300,
                                  rep(c(0, .5, 0, -.2, .3, 1), 2,
                                      each = 50))))
  rm(temp)
}