## Using low-level graphics functions

set.seed(12345)

# General settings
layout(matrix(1:2, nrow = 1))

# Left diagram
plot.new()
plot.window(xlim = c(1,10), ylim = c(0,100))
box()
axis(1)
axis(2)
points(1:10, rnorm(10, 50, 5), pch = 11:20)

# Right diagram
par(fg = "red", las = 1, mar = c(3, 3, 3, 3))
plot.new()
plot.window(xlim = c(1,10), ylim = c(0,100))
box()
axis(1)
axis(2, cex.axis = 2)
lines(1:10, rnorm(10, 50, 5), lty = "dashed", lwd = 3)