## Using hist() to display the empirical distribution of a quantitative variable

set.seed(12345)
Y <- round(rnorm(100, 50, 5))
hist(Y)
table(Y)
range(Y)
hist(Y, col = "grey", ylim = c(0, 40), breaks = seq(from = 37.5,
                                                    to = 62.5,
                                                    by = 5))