## Random data for the analysis of variance

if(!exists('d'))
{
  set.seed(12345)
  d <- data.frame(A = gl(3, 50, labels = c("a1", "a2", "a3")),
                  B = gl(2, 25, 150, labels = c("b1", "b2")),
                  Y = round(rnorm(150,
                                  rep(c(5, 5.5, 5, 4.8, 5.3, 6), 
                                      each = 25)), 2))
}