## R squared coefficient of determination

source("Ch7_SimpleLinearRegression.R")

summary(m)
R2 <- (with(d, cor(INC, QOL)))^2
R2
var(predict(m)) / var(d$QOL)

# Adjusted R squared
N = length(d$QOL)
Radjusted <- 1 - (1-R2) * (N-1)/(N-1-1)
Radjusted