## Multiple linear regression

source("Ch7_DataCreation.R")

# Descriptive statistics
apply(d, 2, mean)
apply(d, 2, sd)

print(cov(d), digits = 2)
print(cor(d), digits = 2)

# Multiple regression
m1 <- lm(QOL ~ INC + JOB + ADV + REL, data = d)
m2 <- update(m1, . ~ . + ADV:REL)

summary(m1)
summary(m2)