## Using fonts with the showtext package

library(showtext)

font_add("Bookman Old Style", "C:\\Windows\\Fonts\\BOOKOS.TTF")
font_add("Calibri",
         regular = "C:\\Windows\\Fonts\\calibri.ttf",
         bold = "C:\\Windows\\Fonts\\calibrib.ttf",
         italic = "C:\\Windows\\Fonts\\calibrii.ttf")

showtext_auto()
plot.new()
plot.window(xlim = c(0, 4), ylim = c(0, 4))
box()

text(x = 1, y = 3,
     labels = c("Serious looking Bookman Old Style"),
     family = "Bookman Old Style",
     adj = 0)
text(x = 1:3, y = 2,
     labels = c("Modern", "looking", "Calibri"),
     font = 1:3,
     family = "Calibri")