## ITC  Recalculation of the t-test

if(!exists('ITC_tTest'))
{
  source("./Scripts/ITC_PRE_LoadData.R")
  
  ITC_tTest <- with(ITC$stvu,
                    {
                      p1_pnotq_correct_relevelled <- relevel(p1_pnotq_correct, "correct")
                      t.test(sat ~ p1_pnotq_correct_relevelled,
                             alternative = "two.sided",
                             var.equal = TRUE)
                    })
}