## ITC  Data import
## Imports three versions of the data set: raw data,
## clean data, and used data

if(!exists('ITC'))
{
  # Data import
  ITC <- list(stvu = foreign::read.spss("./Data/stanovich_data_used.sav",
                                        to.data.frame = TRUE),
              stvr = read.csv("./Data/Stanovich_raw_data.csv",
                              skip = 1),
              stvc = readxl::read_excel("./Data/Stanovich_clean_data.xls"))
}