## SCB  Analysis of variance by simulation

source("Script/SCB_FUN_DataSimulation.R")
set.seed(12345)

p_values <- replicate(200,
                      {
                        d <- SCB_DataSimulation()
                        m <- anova(lm(Y3C1 ~ A, data = d))
                        m$"Pr(>F)"[1]
                      })
prop.table(table(cut(p_values, breaks = c(0, .05, 1))))