## UPS  Descriptive statistics by sound condition

if(!exists('DescriptivesBySound'))
{
  source("Scripts/UPS_PRE_DataImport.R")
  library(psych)
  
  DescriptivesBySound <- with(UPS,
                              {
                                describeBy(rating,
                                           group = list(sound,
                                                        variation),
                                           digits = 2,
                                           mat = TRUE)
                              })
}