## WBD  Mean BDI values by condition and measurement

source("./Scripts/WBD_PRE_DataImport.R")
source("./Scripts/WBD_PRE_ReshapeToLongFormat.R")

with(WBD$CPS_LongFormat,
     {
       interaction.plot(x.factor = Measurement,
                        trace.factor = Condition,
                        response = BDI,
                        fun = function(X) mean(X, na.rm = TRUE),
                        ylab = "BDI",
                        las = 1)
     })