## Inspect the elements of an R object with names()

set.seed(12345)
x <- rep(1:5, each = 20)
y <- x + rnorm(100)
d <- data.frame(x, y)
m <- lm(formula = y ~ x, data = d)

names(d)
names(m)
m$coefficients
names(summary(m))