## Aggregate data sets with merge()

d1 <- data.frame(ID = c("s1", "s2", "s3", "s4"),
                 A = c("a1", "a2", "a3", NA),
                 X1 = c(1, 2, 3, 4),
                 X2 = c(5, 6, "a", 8),
                 X3 = c(9, 10, 11, 12))
d2 <- data.frame(ID = c("s1", "s2", "s3", "s4"),
                 A = c("a1", "a4", NA, NA),
                 Y1 = c(13, 14, 15, 16),
                 Y2 = c(17, 18, 19, 20),
                 Y4 = c(21, 22, 23, 24))

d3 <- merge(d1, d2, by = "ID")
d4 <- merge(d1, d2, by = "A")
d5 <- merge(d1, d2, by = "A", all = TRUE)
d6 <- merge(d1, d2, by = "A", incomparables = NA)