## Use of date time variables

today <- date()
today
tomorrow <- as.Date("14.1.2021", format = "%d.%m.%Y")
tomorrow

date_baseline <- c("15.3.2011", "15.3.2011", "16.3.2011", "20.4.2011")
date_followup <- c("13.9.2011", "14.9.2011", "7.12.2011", "22.11.2011")
class(date_baseline)

date_baseline <- as.Date(date_baseline, format = "%d.%m.%Y")
date_followup <- as.Date(date_followup, format = "%d.%m.%Y")
class(date_baseline)
date_baseline
methods(class = "Date")
months(date_baseline)
quarters(date_baseline)
format(date_baseline, "%m.%Y")
as.POSIXct(date_baseline)

date_followup - date_baseline
difftime(date_followup, date_baseline, units = "weeks")
date_baseline + 30

# Today string for use in time stamps
timestamp <- format(Sys.Date(), "%Y%m%d")
timestamp