## Factor variables 4  The contrast attribute of factors

source("Ch3_FactorVariables1.R")
source("Ch3_FactorVariables2.R")
source("Ch3_FactorVariables3.R")

# Calculate treatment contrast of factor animal regarding perceived threat
contrasts(d$Animal)
contrasts(d$Animal) <- contr.treatment(nlevels(d$Animal))
contrasts(d$Animal)

m1 <- lm(Threat ~ Animal, d)
summary(m1)
cbind(model.frame(m1), model.matrix(m1))

# Calculate special contrasts of factor animal regarding perceived threat
contrasts(d$Animal, how.many = 2) <- cbind(FlyVsRabbit = c(-1, 1, 0, 0),
                                           PreyVsPredator = c(-.5, -.5, .5, .5))
contrasts(d$Animal)

m2 <- lm(Threat ~ Animal, d)
summary(m2)
cbind(model.frame(m2), model.matrix(m2))

str(d)
contrasts(d$Animal) <- NULL
contrasts(d$Animal)