## Matrix operations

set.seed(12345)
D <- mvtnorm::rmvnorm(n = 12,
                      mean = c(10, 10, 10),
                      sigma = matrix(c(2, .3, .2,
                                       .3, 2, .2,
                                       .2, .2, 1),
                                     nrow = 3))
D <- round(D)
D

# Sum per subject or row
D %*% c(1, 1, 1)

# z-transformation
scale(D)

# Sums of cross-products
t(D) %*% D

solve(t(D) %*% D)
det(t(D) %*% D)