## Using with() to structure the analysis

set.seed(12345)
d <- data.frame(A = rep(c("a1", "a2", "a3"), 10),
                y = rnorm(30, c(5, 6, 7)))

Means <- with(d,
              {
                GrandMean <- mean(y)
                GroupMeans <- tapply(y, A, mean)
                list(GrandMean = GrandMean, GroupMeans =  GroupMeans)
              })
Means