## Using the generic plot() function for graphical display

# Data creation
set.seed(12345)
d <- data.frame(A = factor(rep(c("a1", "a2"), 50)),
                X = rep(1:5, each = 20))
d$Y <- rep(c(5, 7), 50) + .2 * d$X + rnorm(100)

# Data display
plot(d$X)
plot(d$A)
plot(d$A, d$Y)
plot(d$X, d$Y)
plot(aov(Y ~ A, data = d))