## Sum of squares and F-test

source("./Ch6_RandomData.R")

SSb <- sum(50 * (5.43 - 5.43)^2,
	     50 * (5.21 - 5.43)^2,
		50 * (5.64 - 5.43)^2)
SSw <- sum(sum((d$Y[1:50] - 5.43)^2),
		sum((d$Y[51:100] - 5.21)^2),
		sum((d$Y[101:150] - 5.64)^2))

dfA <- 2
dfRes <- 147

MSb <- SSb / dfA
MSw <- SSw / dfRes

F <- MSb / MSw

Pr <- pf(F, dfA, dfRes, lower.tail = FALSE)