## Random data for linear regression

if(!exists('d'))
{
  Means <- c(QOL = 20,
             INC = 1500,
             JOB = 4,
             ADV = 3,
             REL = 5)
  Sigma <- matrix(c( 5,  30,   1, .2,  .3,
                     30, 500,  10,  0,  10,
                     1,  10, 1.5,  0,  .4,
                     .2,   0,   0,  1,   0,
                     .3,  10,  .4,  0, 1.5), nrow = 5)
  set.seed(12345)
  d <- data.frame(round(mvtnorm::rmvnorm(n = 100,
                                         mean = Means,
                                         sigma = Sigma)))
  rm(Means, Sigma)
}