## A blueprint for a plot from scratch

# Create data
set.seed(12345)
d <- data.frame(X <- rnorm(100))

# Create the plot
par(mar = c(4, 4, .5, .5), oma = c(0, 0, 0, 0))
plot.new()
plot.window(xlim = c(0, 100), ylim = c(-5, 5))
box()
axis(1)
axis(2)
mtext("Index", 1, line = 2)
mtext("Random value", 2, line = 2)
points(1:100, d$X)