## High-level plot with emphasis

# Data creation
set.seed(12345)
X <- rep(1:10, each = 10)
Y <- X + rnorm(100, 0, 2)

# One high-level and one low-level function
plot(X,Y)
points(X[X > mean(X) & Y > mean(Y)],
       Y[X > mean(X) & Y > mean(Y)],
       pch = 19, col = "red", cex = 1.2)