## grid  handling viewports

library(grid)

pushViewport(viewport(x = .5, y = .5,
                      width = .8, height = .8,
                      name = "vp1"))
pushViewport(viewport(x = .2, y = .5,
                      width = .3, height = .4,
                      gp = gpar(fill = "grey80"),
                      just = "bottom",
                      name = "vp2_left"))
upViewport()
pushViewport(viewport(x = .7, y = .5,
                      width = .5, height = .4,
                      just = "top",
                      name = "vp3_right"))
upViewport()

grid.rect(gp = gpar(lty = "dashed"))
downViewport("vp2_left")

grid.rect()
grid.text("left viewport")
upViewport()
downViewport("vp3_right")
grid.roundrect(gp = gpar(col = "grey70"))
grid.text("right viewport")