## ITC  Spineplot of categorical variables

source("./Scripts/ITC_PRE_LoadData.R")

png(filename = "./Figures/ITC_SpineplotNumberCorrectBySAT.png",
    width = 1800, height = 900, pointsize = 8,
    bg = "white", res = 300)
with(ITC$stvu,
     {
       NumberCorrect <- rowSums(cbind(p1_pnotq_correct == "correct",
                                      p2_pnotq_correct == "correct",
                                      p2_pnotq_correct == "correct"))
       spineplot(factor(NumberCorrect) ~ ITC$stvu$sat,
                 xlab = "SAT score",
                 ylab = "Number of correct card selections")
     })
dev.off()