## ITC  ANOVA of the associations between SAT scores and correct responses

if(!exists('ITC_ANOVA'))
{
  source("./Scripts/ITC_PRE_LoadData.R")
  ITC_ANOVA <- list(SAT_by_p1correct = aov(sat ~ p1_pnotq_correct,
                                           data = ITC$stvu),
                    SAT_by_p2correct = aov(sat ~ p2_pnotq_correct,
                                           data = ITC$stvu),
                    SAT_by_p3correct = aov(sat ~ p3_pnotq_correct,
                                           data = ITC$stvu))
}