## ITC  Logistic regression of correct responses

if(!exists('LogisticRegressionModels'))
{
  source("./Scripts/ITC_PRE_LoadData.R")
  
  LogisticRegressionModels <- list(m1 = glm(p1_pnotq_correct ~ sat,
                                            data = ITC$stvu,
                                            family = binomial(link="logit")),
                                   m2 = glm(all_problems_correct ~ sat,
                                            data = ITC$stvu,
                                            family = binomial(link="logit")))
}