## SCB  Multiple linear regression

if(!exists('MultipleLinearRegression'))
{
  source("./Script/SCB_PRE_DataImport.R")
  source("./Script/SCB_PRE_VariableLabels.R")
  source("./Script/SCB_PRE_DataAggregation.R")
  
  MultipleLinearRegression <- list(M1 = lm(PersonPerson_PREPOST ~ X1 + X2, SCB),
                                   M2 = lm(PersonGroup_PREPOST ~ X1 * X2, SCB))
}