## SCB  Data aggregation

source("./Script/SCB_PRE_DataImport.R")

SCB$PersonPerson_PRE <- SCB$Y1C1 + SCB$Y1C2
SCB$PersonGroup_PRE <- SCB$Y2C1 + SCB$Y2C2
SCB$GroupGroup_PRE <- SCB$Y3C1 + SCB$Y3C2

SCB$PersonPerson_POST <- SCB$Y1C3 + SCB$Y1C4
SCB$PersonGroup_POST <- SCB$Y2C3 + SCB$Y2C4
SCB$GroupGroup_POST <- SCB$Y3C3 + SCB$Y3C4

SCB$PersonPerson_PREPOST <- SCB$PersonPerson_PRE - SCB$PersonPerson_POST
SCB$PersonGroup_PREPOST <- SCB$PersonGroup_PRE - SCB$PersonGroup_POST
SCB$GroupGroup_PREPOST <- SCB$GroupGroup_PRE - SCB$GroupGroup_POST

SCB$SumPreIntervention <- rowSums(SCB[grep("PRE", names(SCB))])
SCB$SumPostIntervention <- rowSums(SCB[grep("POST", names(SCB))])