## SCB  Data storage and export

# Save in R format
save(SCB, file = "./Data/SCB_Data.RData")

# Export for archivation and publication
write.csv(SCB, file = "./Data/SCB_Data.csv")

# Export in SPSS and Excel-format
foreign::write.foreign(SCB,
                       datafile = "./Data/SCB_Data.csv",
                       codefile = "./Data/SCB_Codefile.sps",
                       package = "SPSS")

XLConnect::xlcDump("SCB", file = "./Data/SCB_Data.xlsx")