## UPS  Interaction plot

source("Scripts/UPS_PRE_DataImport.R")

with(UPS,
     {
       par(mar = c(5, 6, 1, 1))
       interaction.plot(x.factor = variation,
                        trace.factor = sound,
                        response = rating,
                        col = paste0("grey", c(10, 30, 50, 70)),
                        lwd = 2,
                        lty = 1:4,
                        ylim = c(1, 6),
                        las = 1,
                        xlab = "Variation",
                        ylab = "Mean rating\n(1: pleasant, 6: unpleasant)",
                        trace.label = "Sound")
     })