## UPS  Repeated measures analysis

if(!exists('RM_ANOVA'))
{  
  source("Scripts/UPS_PRE_DataImport.R")
  UPS$subject_factor <- factor(UPS$subject, ordered = FALSE)
  RM_ANOVA <- with(UPS,
                   {                   
                     list(m_sound = aov(rating ~ sound + Error(subject_factor),
                                        data = UPS),
                          m_soundXvar = aov(rating ~ sound * variation + 
                                            Error(subject_factor),
                                            data = UPS),
                          Replications = replications(rating ~ sound * variation + 
                                                      Error(subject_factor),
                                                      data = UPS))
                   })
}