## UPS  Split-plot factorial ANOVA model

if(!exists('SPF_ANOVA'))
{
  source("Scripts/UPS_PRE_DataImport.R")
  UPS$subject_factor <- factor(UPS$subject)

  SPF_ANOVA <- with(UPS,
                   {
                     list(m_groupXsound = aov(rating ~ group * sound + Error(subject_factor), data = UPS),
                          m_groupXgenderXsoundXvariation = aov(rating ~ group + gender +
                                                                        sound + variation +
                                                                        group:sound +
                                                                        Error(subject_factor), data = UPS))
                   })
}