## WBD  Depression statistics by condition

if(!exists("DepressionStatisticsByConditions"))
{
  source("Scripts/WBD_PRE_DataImport.R")
  source("Scripts/WBD_PRE_ReshapeToLongFormat.R")
  library(psych)
  
  DepressionStatisticsByConditions <- with(WBD$CPS_LongFormat,
                                           {
                                             describeBy(cbind(BDI, ANH, PITPV),
                                                        group = list(Measurement, Condition),
                                                        mat = TRUE)
                                           })
}